# swagger.api.SystemApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://service.fax-api.de/4.0/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getHealth**](SystemApi.md#getHealth) | **GET** /health | /health

# **getHealth**
> Health getHealth()

/health

Description: Checks health of the service

### Example
```dart
import 'package:swagger/api.dart';

var api_instance = new SystemApi();

try {
    var result = api_instance.getHealth();
    print(result);
} catch (e) {
    print("Exception when calling SystemApi->getHealth: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**Health**](Health.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

