part of swagger.api;

class Notifications {
  /* Number of fetched notifications in total */
  int total = null;
/* Offset used in the query */
  int offset = null;
/* Number of notifications in the sent data array */
  int count = null;
/* Array of fetched notifications */
  List<Notification> data = [];

  Notifications();

  @override
  String toString() {
    return 'Notifications[total=$total, offset=$offset, count=$count, data=$data, ]';
  }

  Notifications.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    total = json['total'];
    offset = json['offset'];
    count = json['count'];
    data = Notification.listFromJson(json['data']);
  }

  Map<String, dynamic> toJson() {
    return {
      'total': total,
      'offset': offset,
      'count': count,
      'data': data
     };
  }

  static List<Notifications> listFromJson(List<dynamic> json) {
    return json == null ? new List<Notifications>() : json.map((value) => new Notifications.fromJson(value)).toList();
  }

  static Map<String, Notifications> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Notifications>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Notifications.fromJson(value));
    }
    return map;
  }
}
