part of swagger.api;

class JobsIdBody {
  /* Describes the action should be performed on the fax job */
  String action = null;
  //enum actionEnum {  hold,  cancel,  resume,  };

  JobsIdBody();

  @override
  String toString() {
    return 'JobsIdBody[action=$action, ]';
  }

  JobsIdBody.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    action = json['action'];
  }

  Map<String, dynamic> toJson() {
    return {
      'action': action
     };
  }

  static List<JobsIdBody> listFromJson(List<dynamic> json) {
    return json == null ? new List<JobsIdBody>() : json.map((value) => new JobsIdBody.fromJson(value)).toList();
  }

  static Map<String, JobsIdBody> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, JobsIdBody>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new JobsIdBody.fromJson(value));
    }
    return map;
  }
}
