part of swagger.api;

class Preview {
  /* The type of the document/file. */
  String contentType = null;
  //enum contentTypeEnum {  application/pdf,  };
/* The preview pdf document file as base64 encode */
  String content = null;

  Preview();

  @override
  String toString() {
    return 'Preview[contentType=$contentType, content=$content, ]';
  }

  Preview.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    contentType = json['contentType'];
    content = json['content'];
  }

  Map<String, dynamic> toJson() {
    return {
      'contentType': contentType,
      'content': content
     };
  }

  static List<Preview> listFromJson(List<dynamic> json) {
    return json == null ? new List<Preview>() : json.map((value) => new Preview.fromJson(value)).toList();
  }

  static Map<String, Preview> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Preview>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Preview.fromJson(value));
    }
    return map;
  }
}
